# Ratings API

Ratings API can be used to get rating of a particular league or event.

## Event Ratings Endpoint

Can be used to get ratings of a list of events.

{% hint style="warning" %}
The endpoint is rate-limited.
{% endhint %}

## Retrieves ratings for the specified events.

> \
> \*\*Rate Limits (per account):\*\*\
> \- \*\*10 req/1s\*\*

```json
{"openapi":"3.0.4","info":{"title":"[T1159-STAGE] Odds88 API","version":"v1"},"tags":[{"name":"Ratings"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"Marlin.SportsbetApi.Host.Models.Ratings.RatingsModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"prematchRatingName":{"type":"string","nullable":true},"liveRatingName":{"type":"string","nullable":true},"liveDelay":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/Ratings/EventRatings":{"get":{"tags":["Ratings"],"summary":"Retrieves ratings for the specified events.","description":"\n**Rate Limits (per account):**\n- **10 req/1s**","operationId":"Get ratings by event IDs","parameters":[{"name":"eventID","in":"query","description":"EventIds, for which ratings are required.","schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"Returns Rating information about the requested EventIds.","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.Ratings.RatingsModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.Ratings.RatingsModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.Ratings.RatingsModel"}}}}},"400":{"description":"Request arguments are not valid.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too many requests"},"500":{"description":"Unexpected error occurred."}}}}}}
```

## League Ratings Endpoint

Can be used to get ratings of a list of leagues.

{% hint style="warning" %}
The endpoint is rate-limited to **10 requests per second**.
{% endhint %}

## Retrieves ratings for the specified leagues.

> \
> \*\*Rate Limits (per account):\*\*\
> \- \*\*10 req/1s\*\*

```json
{"openapi":"3.0.4","info":{"title":"[T1159-STAGE] Odds88 API","version":"v1"},"tags":[{"name":"Ratings"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"Marlin.SportsbetApi.Host.Models.Ratings.RatingsModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"prematchRatingName":{"type":"string","nullable":true},"liveRatingName":{"type":"string","nullable":true},"liveDelay":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/Ratings/LeagueRatings":{"get":{"tags":["Ratings"],"summary":"Retrieves ratings for the specified leagues.","description":"\n**Rate Limits (per account):**\n- **10 req/1s**","operationId":"Get ratings by league Ids","parameters":[{"name":"leagueId","in":"query","description":"LeagueIds, for which ratings are required.","schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"Returns Rating information about the requested LeagueIds.","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.Ratings.RatingsModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.Ratings.RatingsModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.Ratings.RatingsModel"}}}}},"400":{"description":"Request arguments are not valid.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too many requests"},"500":{"description":"Unexpected error occurred."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/odds88-client-api/odds88-api-endpoints/ratings-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
